SAM3S8/SD8 Software Package: libraries/libchip_sam3s/source/rtt.c File Reference

SAM3S8/SD8 Software Package 1.2
Functions

# rtt.c File Reference

`#include "chip.h"`
`#include <assert.h>`

Go to the source code of this file.

## Functions

void | RTT_SetPrescaler (Rtt *rtt, uint16_t prescaler)
| Changes the prescaler value of the given RTT and restarts it.
uint32_t | RTT_GetTime (Rtt *rtt)
| Returns the current value of the RTT timer value.
void | RTT_EnableIT (Rtt *rtt, uint32_t sources)
| Enables the specified RTT interrupt sources.
uint32_t | RTT_GetStatus (Rtt *rtt)
| Returns the status register value of the given RTT.
void | RTT_SetAlarm (Rtt *pRtt, uint32_t time)
| Configures the RTT to generate an alarm at the given time.

## Detailed Description

Implementation of Real Time Timer (RTT) controller.

Definition in file rtt.c.

## Function Documentation

void RTT_EnableIT | ( | Rtt * | rtt,
|  | uint32_t | sources
| ) |  |

Enables the specified RTT interrupt sources.

Parameters:

  rtt | Pointer to a Rtt instance.
  sources | Bitmask of interrupts to enable.

Definition at line 106 of file rtt.c.

uint32_t RTT_GetStatus | ( | Rtt * | rtt ) |

Returns the status register value of the given RTT.

Parameters:

  rtt | Pointer to an Rtt instance.

Definition at line 117 of file rtt.c.

uint32_t RTT_GetTime | ( | Rtt * | rtt ) |

Returns the current value of the RTT timer value.

Parameters:

  rtt | Pointer to a Rtt instance.

Definition at line 95 of file rtt.c.

void RTT_SetAlarm | ( | Rtt * | pRtt,
|  | uint32_t | time
| ) |  |

Configures the RTT to generate an alarm at the given time.

Parameters:

  pRtt | Pointer to an Rtt instance.
  time | Alarm time.

Definition at line 128 of file rtt.c.

void RTT_SetPrescaler | ( | Rtt * | rtt,
|  | uint16_t | prescaler
| ) |  |

Changes the prescaler value of the given RTT and restarts it.

Note:
  This function disables RTT interrupt sources.

Parameters:

  rtt | Pointer to a Rtt instance.
  prescaler | Prescaler value for the RTT.

Definition at line 85 of file rtt.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines